Generation Framework

## org.eclipse.gmf.gmfgraph
Interface DiagramLabel

All Superinterfaces:
  AbstractNode, DiagramElement, org.eclipse.emf.ecore.EObject, Identity, Node, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DiagramLabelImpl

    public interface DiagramLabel

extends Node

A representation of the model object 'Diagram Label'.

The following features are supported:

- `Element Icon`
- `Accessor`
- `Container`
- `External`

See Also:
  `GMFGraphPackage.getDiagramLabel()`
** Generated **
Model:

Method Summary
`ChildAccess` `getAccessor()` Returns the value of the 'Accessor' reference
`ChildAccess` `getContainer()` Returns the value of the 'Container' reference
`boolean` `isElementIcon()` Returns the value of the 'Element Icon' attribute.
`boolean` `isExternal()` Returns the value of the 'External' attribute
`void` `setAccessor(ChildAccess value)` Sets the value of the '`Accessor`' reference
`void` `setContainer(ChildAccess value)` Sets the value of the '`Container`' reference
`void` `setElementIcon(boolean value)` Sets the value of the '`Element Icon`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.Node
`getAffixedParentSide, getContentPane, getResizeConstraint, setAffixedParentSide, setContentPane, setResizeConstraint`

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isElementIcon

    boolean isElementIcon()

  Returns the value of the 'Element Icon' attribute. The default value is `"true"`.

  If the meaning of the 'Element Icon' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Icon' attribute.
  See Also:
    `setElementIcon(boolean)`, `GMFGraphPackage.getDiagramLabel_ElementIcon()`
  ** Generated **
  Model:
    default="true"

### setElementIcon

    void setElementIcon(boolean value)

  Sets the value of the '`Element Icon`' attribute.

  Parameters:
    `value` - the new value of the 'Element Icon' attribute.
  See Also:
    `isElementIcon()`
  ** Generated **

### getAccessor

    ChildAccess getAccessor()

  Returns the value of the 'Accessor' reference.

  If the meaning of the 'Accessor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Accessor' reference.
  See Also:
    `setAccessor(ChildAccess)`, `GMFGraphPackage.getDiagramLabel_Accessor()`
  ** Generated **
  Model:

### setAccessor

    void setAccessor(ChildAccess value)

  Sets the value of the '`Accessor`' reference.

  Parameters:
    `value` - the new value of the 'Accessor' reference.
  See Also:
    `getAccessor()`
  ** Generated **

### getContainer

    ChildAccess getContainer()

  Returns the value of the 'Container' reference.

  If the meaning of the 'Container' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Container' reference.
  See Also:
    `setContainer(ChildAccess)`, `GMFGraphPackage.getDiagramLabel_Container()`
  ** Generated **
  Model:

### setContainer

    void setContainer(ChildAccess value)

  Sets the value of the '`Container`' reference.

  Parameters:
    `value` - the new value of the 'Container' reference.
  See Also:
    `getContainer()`
  ** Generated **

### isExternal

    boolean isExternal()

  Returns the value of the 'External' attribute.

  If the meaning of the 'External' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External' attribute.
  See Also:
    `GMFGraphPackage.getDiagramLabel_External()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.